<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html" indent="yes"/>
	<xsl:param name="filename"/>
	
	<xsl:template match="/">
		<xsl:if test="not($filename)">
			<xsl:message terminate="yes">You must provide a 'filename' parameter.</xsl:message>
			</xsl:if>
		<xsl:apply-templates select="helpfiles/file[@name=$filename]"/>
		</xsl:template>
	
	<xsl:template match="file">
		<xsl:copy-of select="html"/>
		</xsl:template>
	</xsl:stylesheet>